> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Run For Client Review

> Name and signature indicate it gets payroll run for client review

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-payroll-run-for-client-review
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-payroll-run-for-client-review:
    get:
      operationId: getPayrollRunForClientReview
      summary: Get Payroll Run For Client Review
      x-toku-required-scope: payroll:read
      description: |-
        Name and signature indicate it gets payroll run for client review

        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: payrollRunID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayrollRunForClientReviewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPayrollRunForClientReviewResponse:
      type: object
      properties:
        payrollRunID:
          type: string
        countryCode:
          type: string
        payPeriodStart:
          type: string
        payPeriodEnd:
          type: string
        payFrequency:
          type: string
          enum:
            - MONTHLY
            - SEMI_MONTHLY
            - BIWEEKLY
            - WEEKLY
            - QUARTERLY
            - ANNUAL
            - ONE_TIME
        status:
          type: string
          enum:
            - DRAFT
            - PARSING
            - MAPPED
            - MATCHING
            - VALIDATING
            - REVIEW
            - APPROVED
            - FINALIZED
            - REJECTED
            - PENDING_CLIENT_APPROVAL
            - CLIENT_REJECTED
            - CLIENT_REQUESTED_MODIFICATION
        totalGrossPay:
          type:
            - string
            - 'null'
        totalNetPay:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        totalsByCurrency:
          type: array
          items:
            type: object
            properties:
              currency:
                type: string
              totalGrossPay:
                type: string
              totalNetPay:
                type: string
            required:
              - currency
              - totalGrossPay
              - totalNetPay
        lineItems:
          type: array
          items:
            type: object
            properties:
              payrollLineItemID:
                type: string
              employeeName:
                type: string
              grossPay:
                type: string
              netPay:
                type: string
              currency:
                type: string
            required:
              - payrollLineItemID
              - employeeName
              - grossPay
              - netPay
              - currency
        approvals:
          type: array
          items:
            type: object
            properties:
              payrollRunApprovalID:
                type: string
              order:
                type: number
              state:
                type: string
                enum:
                  - PENDING
                  - APPROVED
                  - REJECTED
                  - REQUESTED_MODIFICATION
              comment:
                type:
                  - string
                  - 'null'
              decidedAt:
                type:
                  - string
                  - 'null'
              approverName:
                type: string
              isMe:
                type: boolean
            required:
              - payrollRunApprovalID
              - order
              - state
              - comment
              - decidedAt
              - approverName
              - isMe
        awaitingMyApproval:
          type: boolean
        canApprove:
          type: boolean
        appliedApprovalPolicies:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              reason:
                type: string
            required:
              - name
              - reason
      required:
        - payrollRunID
        - countryCode
        - payPeriodStart
        - payPeriodEnd
        - payFrequency
        - status
        - totalGrossPay
        - totalNetPay
        - currency
        - totalsByCurrency
        - lineItems
        - approvals
        - awaitingMyApproval
        - canApprove
        - appliedApprovalPolicies
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
